#!/bin/bash

# Copyright (c) 2012 Cloudera, Inc. All rights reserved.

set -e
set -x

# Time marker for both stderr and stdout
date; date 1>&2

# set impala configuration directory
export IMPALA_CONF_DIR=${CONF_DIR}/impala-conf
export HADOOP_CONF_DIR=${CONF_DIR}/hadoop-conf
export HIVE_CONF_DIR=${CONF_DIR}/hive-conf
export HBASE_CONF_DIR=${CONF_DIR}/hbase-conf

FLAG_FILE=$IMPALA_CONF_DIR/$2

# Update path to configuration directory in the flagfile
perl -pi -e "s#{{CMF_CONF_DIR}}#$CONF_DIR#g" ${FLAG_FILE}

if [ "impalad" = "$1" ]; then
  exec impalad --flagfile=${FLAG_FILE}
elif [ "statestore" = "$1" ]; then
  exec statestored --flagfile=${FLAG_FILE}
fi
